﻿Imports Windows.Storage
Imports Windows.Storage.Streams
Imports Windows.UI.Popups

' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class InputAnswerPage
    Inherits Page
    Private myPoint As Integer
    Private readingText As String
    Protected Overrides Sub OnNavigatedTo(e As NavigationEventArgs)
        TextBox1.Focus(Windows.UI.Xaml.FocusState.Keyboard)
        levelTextBlock.Text = myLevel
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Async Sub hanteiButton_Click(sender As Object, e As RoutedEventArgs) Handles hanteiButton.Click
        If TextBox1.Text = String.Empty Then
            Dim myMessage As New MessageDialog("解答を入力してください。")
            Await myMessage.ShowAsync
            Exit Sub
        Else
            Dim nenTukiHi = DateTime.Now.ToString("yyyy年MM月dd日")
            If TextBox1.Text = "正解！" OrElse TextBox1.Text = "不正解！" Then
                TextBox1.Text = String.Empty
                scoreTextBlock.Text = "0"
                TextBox1.Focus(Windows.UI.Xaml.FocusState.Keyboard)
                Exit Sub
            End If

            If CInt(TextBox1.Text).Equals(SumTotal) Then
                TextBox1.Text = "正解です。"
                readingText = "正解です。せんせきを保存しました。"
                myPoint = myLevel * calcNo
                scoreTextBlock.Text = myPoint
                myStackPanel.Visibility = Windows.UI.Xaml.Visibility.Visible
                Await syokoVoice()
            Else
                TextBox1.Text = "不正解です。"
                readingText = "残念。不正解です。"
                Await syokoVoice()
                scoreTextBlock.Text = "0"
                Exit Sub
            End If
            Dim saveXml = DateTime.Now.ToString("yyyy年MM月dd日HH時mm分ss秒") & ".xml"
            Dim myStorageFolder As StorageFolder = Windows.Storage.KnownFolders.PicturesLibrary
            Dim mySubFolder = Await myStorageFolder.CreateFolderAsync("MentalArithmeticXML", CreationCollisionOption.OpenIfExists)
            Dim resultXml As XElement = <結果><情報><年月日><%= nenTukiHi %></年月日><桁数><%= ketaValue %></桁数><速度><%= speedValue %></速度><文字サイズ><%= mojiSizeValue %></文字サイズ><背景><%= backGroundValue %></背景><レベル><%= levelTextBlock.Text %></レベル><スコア><%= myPoint %></スコア></情報></結果>
            Dim xmldoc As XElement = XElement.Parse(resultXml.ToString)
            Dim result = xmldoc.ToString
            Dim myXmlFile As StorageFile = Await mySubFolder.CreateFileAsync(saveXml, CreationCollisionOption.ReplaceExisting)
            Using myStream As IRandomAccessStream = Await myXmlFile.OpenAsync(FileAccessMode.ReadWrite)
                Dim writer As DataWriter = New DataWriter(myStream)
                writer.UnicodeEncoding = UnicodeEncoding.Utf8
                writer.WriteString(result)
                Await writer.StoreAsync
            End Using
           
        End If

    End Sub

    Private Async Function syokoVoice() As Task
        Dim myMedia As MediaElement = Me.MediaElement1
        Dim synth = New Windows.Media.SpeechSynthesis.SpeechSynthesizer
        Dim stream = Await synth.SynthesizeTextToStreamAsync(readingText)
        myMedia.SetSource(stream, stream.ContentType)
        myMedia.Play()
    End Function
End Class
