﻿Imports Windows.UI.Popups
Imports Windows.Storage

' 空白ページのアイテム テンプレートについては、http://go.microsoft.com/fwlink/?LinkId=234238 を参照してください

''' <summary>
''' それ自体で使用できる空白ページまたはフレーム内に移動できる空白ページ。
''' </summary>
Public NotInheritable Class MainPage
    Inherits Page

    Protected Overrides Sub OnNavigatedTo(e As NavigationEventArgs)

        myTimer = New DispatcherTimer

        myFrame.Navigate(GetType(SettingPage))
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Async Sub playButton_Click(sender As Object, e As RoutedEventArgs) Handles playButton.Click
        If keta < 0 OrElse speed < 0 OrElse mojiSize < 0 Then
            Dim message As New MessageDialog("設定項目を選択してください。")
            Await message.ShowAsync
            Exit Sub
        Else
            backButton.Visibility = Windows.UI.Xaml.Visibility.Visible
            myFrame.Navigate(GetType(goPage))
            playButton.IsEnabled = False
            stopButton.IsEnabled = True
        End If

    End Sub

    Private Sub stopButton_Click(sender As Object, e As RoutedEventArgs) Handles stopButton.Click
        'myStoryboard.Stop()
        myTimer.Stop()
        myScore = myScore + 1
        SumTotal = SumTotal + Total

        playButton.IsEnabled = True
        resultButton.IsEnabled = True
        stopButton.IsEnabled = False
    End Sub

    Private Sub backButton_Click(sender As Object, e As RoutedEventArgs) Handles backButton.Click
        'myStoryboard.Stop()
        Total = 0
        SumTotal = 0
        calcNo = 0
        TitleTextBlock.Text = "設定"
        If myTimer.IsEnabled = True Then
            myTimer.Stop()
        Else
            backButton.Visibility = Windows.UI.Xaml.Visibility.Collapsed
            playButton.IsEnabled = True
            resultButton.IsEnabled = False
            stopButton.IsEnabled = False
            myScore = 0
            myFrame.Navigate(GetType(SettingPage))
        End If


      
    End Sub

    Private Sub resultButton_Click(sender As Object, e As RoutedEventArgs) Handles resultButton.Click
        myTimer.Stop()
        backButton.Visibility = Windows.UI.Xaml.Visibility.Visible
        playButton.IsEnabled = False
        stopButton.IsEnabled = False
        TitleTextBlock.Text = "動体視力暗算"
        myFrame.Navigate(GetType(InputAnswerPage))
    End Sub

    Private Async Sub recordPointButton_Click(sender As Object, e As RoutedEventArgs) Handles recordPointButton.Click
        Dim myStorageFolder As StorageFolder = Windows.Storage.KnownFolders.PicturesLibrary
        Dim mySubFolder = Await myStorageFolder.CreateFolderAsync("MentalArithmeticXML", CreationCollisionOption.OpenIfExists)
        Dim saveFiles = Await mySubFolder.GetFilesAsync
        TitleTextBlock.Text = "動体視力暗算"
        If saveFiles.Count > 0 Then
            backButton.Visibility = Windows.UI.Xaml.Visibility.Visible
            playButton.IsEnabled = False
            resultButton.IsEnabled = False
            myFrame.Navigate(GetType(ResultShowPage))
        Else
            Dim message As New MessageDialog("保存されたデータはありません！")
            Await message.ShowAsync
            Exit Sub
        End If

    End Sub
End Class
