﻿Imports Windows.Storage
Imports Windows.Storage.Streams

Public Class DataInfo
    Public Property 年月日 As String
    Public Property 桁数 As String
    Public Property 速度 As String
    Public Property 文字サイズ As String
    Public Property 背景 As String

    Public Property レベル As String
    Public Property スコア As String
End Class

Public NotInheritable Class ResultShowPage
    Inherits Page
    Private readFiles As IReadOnlyCollection(Of IStorageFile)
    Protected Overrides Async Sub OnNavigatedTo(e As NavigationEventArgs)
        Dim myStorageFolder As StorageFolder = Windows.Storage.KnownFolders.PicturesLibrary
        Dim mySubFolder = Await myStorageFolder.CreateFolderAsync("MentalArithmeticXML", CreationCollisionOption.OpenIfExists)
        readFiles = Await mySubFolder.GetFilesAsync

        Dim myDataList As New List(Of DataInfo)
        Dim myResult As String = String.Empty
        For Each result In readFiles
            Dim doc As StorageFile = Await mySubFolder.GetFileAsync(result.Name)

            Using myStream As IRandomAccessStream = Await doc.OpenAsync(FileAccessMode.Read)
                Using reader As StreamReader = New StreamReader(myStream.AsStream, System.Text.Encoding.UTF8)
                    myResult = reader.ReadToEnd
                End Using
            End Using
            Dim xmldoc As XElement = XElement.Parse(myResult)

            For Each xmlResult In From c In xmldoc.Descendants("情報") Select c
                With myDataList
                    .Add(New DataInfo With {.年月日 = xmlResult.Element("年月日").Value, _
                                           .桁数 = xmlResult.Element("桁数").Value, _
                                           .速度 = xmlResult.Element("速度").Value, _
                                           .文字サイズ = xmlResult.Element("文字サイズ").Value, _
                                           .背景 = xmlResult.Element("背景").Value, _
                                           .レベル = xmlResult.Element("レベル").Value, _
                                           .スコア = xmlResult.Element("スコア").Value})
                End With
            Next
        Next
        GridView1.ItemsSource = myDataList
        AddHandler GridView1.Loaded, AddressOf Me.GridView1_Loaded
        MyBase.OnNavigatedTo(e)
    End Sub

    Private Sub GridView1_Loaded(sender As Object, e As Object)
        Dim _myIndex As Integer = 0
        _myIndex = readFiles.Count - 1
        If _myIndex < 0 Then
            Exit Sub
        Else
            GridView1.Focus(Windows.UI.Xaml.FocusState.Keyboard)
            GridView1.SelectedIndex = _myIndex
            GridView1.ScrollIntoView(GridView1.SelectedItem)

        End If
    End Sub
End Class
